Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 362148)
+++ channels/chan_sip.c	(working copy)
@@ -22148,6 +22148,10 @@
 		transmit_response(p, "501 Method Not Implemented", req);
 		return 0;
 	}
+	if (!p->owner) {
+		transmit_response(p, "481 Call/Transaction Does Not Exist", req);
+		return 0;
+	}
 	if (get_rpid(p, req)) {
 		struct ast_party_connected_line connected;
 		struct ast_set_party_connected_line update_connected;
